PartnerContractListItem) includes: partner summary with ratings_summary, institutionname, address, city, province), sub_service, contract_start_date, contract_start_time,contract_end_date, contract_end_time (24h HH:MM), departure reminder fields when status is accepted or on_routeapproaching_scheduled_start, seconds_until_scheduled_start), escalation fieldscontract_escalation_stage, escalation_deadline_at, contract_escalation_countdown_active),total_amount, payment_deadline_at, and optional review (overall rating) when the job iscompleted and a review exists.GET /api/v1/contracts: no partner_status or has_pending_extension_request.curl --location '/api/v1/partner/contracts?status=undefined&step=undefined&page=undefined&per_page=undefined' \
--header 'Authorization: Bearer <token>'{
"success": true,
"data": [
{
"id": 0,
"reference_code": "NKT-00000042",
"status": "draft",
"display_status": "draft",
"step": "schedule",
"kind": "installation",
"contract_escalation_stage": "partner",
"escalation_deadline_at": "2019-08-24T14:15:22.123Z",
"contract_escalation_countdown_active": true,
"partner_status": "assigned",
"partner": {
"id": 0,
"full_name": "string",
"picture": "http://example.com",
"ratings_summary": {
"overall_average": 0,
"total_reviews": 0
},
"city": "string"
},
"institution": {
"id": 0,
"name": "string",
"address": "string",
"city": "string",
"province": "string"
},
"sub_service": {
"id": 0,
"name": "string"
},
"contract_start_date": "2019-08-24",
"contract_start_time": "09:30",
"contract_end_date": "2019-08-24",
"contract_end_time": "17:00",
"schedule_start_date": "2019-08-24",
"schedule_start_time": "09:30",
"schedule_end_date": "2019-08-24",
"schedule_end_time": "17:00",
"approaching_scheduled_start": true,
"seconds_until_scheduled_start": 0,
"review": {
"overall_rate": 0
},
"total_amount": {
"value": 0,
"currency": "string",
"discount_amount": 0
},
"has_pending_extension_request": true,
"payment_deadline_at": "2019-08-24T14:15:22.123Z",
"payment_status": "unpaid",
"created_at": "2019-08-24T14:15:22.123Z",
"updated_at": "2019-08-24T14:15:22.123Z"
}
],
"meta": {
"page": 1,
"per_page": 20,
"total_count": 100,
"total_pages": 5,
"prev_page": null,
"next_page": 2
}
}